# 32/64bit spec-file
# import to pclinuxos by <D.M-Wilhelm> on <03.29.2015>
# PCLinuxOS Copyright by Bill Reynolds (Texstar.)

%define prefix 	/usr
%define oname 	LXRotator
%define name 	lxrotator
%define version 1.2
%define release %mkrel 2
%define url	http://www.pclinuxos.com/forum/index.php/topic,131500.msg1113258.html#msg1113258
%define arch noarch

Name:			%{name}
Version:		%{version}
Release:		%{release}
License:		GPLv2
Group:			Graphical desktop/LXDE
URL:			%{url}
Source:			%{oname}.tar.xz
Summary:		LXRotator is a gui tool to change wallpaper
#Summary(de):	
BuildRoot:		%{_tmppath}/%{name}-buildroot
BuildArch:		%{arch}
Requires:		bash, gtkdialog, yad
Requires:		ImageMagick
Requires:		glibc >= 2.12.1
Requires:		libstdc++6 >= 4.5.2	
Obsoletes:		%name < %version

%description
LXRotator is a gui tool for a script, posted by longtom.
It is design for PCLinuxOS-LXDE.
Now you can play a wallpaper slideshow in Your LXDE.

Note: LXRotator runs only in LXDE, or LXQt DE.


#german
#%description -l de

%prep

%setup -q -n %{oname}


%install
rm -rf $RPM_BUILD_ROOT

install -d -m 0755 $RPM_BUILD_ROOT%{_bindir}
cat > %{buildroot}%{_bindir}/%{name} << EOF
# simple launcher for %{name}
#
%{_datadir}/%{name}/rotator_gui
exit 0
EOF
%__chmod 777 $RPM_BUILD_ROOT%{_bindir}/%{name}

#icons
install -d -m 0755 %buildroot%_datadir/icons
install -m 0644 $RPM_BUILD_DIR/%{oname}/icons/%{name}.png %buildroot%_datadir/icons/%{name}.png
mkdir -p %buildroot/{%_miconsdir,%_liconsdir}
convert  $RPM_BUILD_DIR/%{oname}/icons/%{name}.png -resize 16x16 %buildroot/%{_miconsdir}/%{name}.png
convert $RPM_BUILD_DIR/%{oname}/icons/%{name}.png -resize 48x48 %buildroot/%{_liconsdir}/%{name}.png
mkdir -p %buildroot/%{_iconsdir}/hicolor/32x32/apps
convert $RPM_BUILD_DIR/%{oname}/icons/%{name}.png -resize 32x32 %buildroot/%{_iconsdir}/hicolor/32x32/apps/%{name}.png

install -d -m 0755 %buildroot%_datadir/%{name}
install -m 0666 lxrotator %buildroot%_datadir/%{name}
install -m 0777 starter %buildroot%_datadir/%{name}
install -m 0777 rotator_gui %buildroot%_datadir/%{name}
install -m 0777 rotator_tray %buildroot%_datadir/%{name}

mkdir -p %{buildroot}%{_datadir}/locale/de/LC_MESSAGES
msgfmt -o  %{buildroot}%{_datadir}/locale/de/LC_MESSAGES/rotator_gui.mo $RPM_BUILD_DIR/%{oname}/languages/rotator_gui-de_DE.po

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Version=1.0
Name=LXDesktop Background Diashow
Name[da]=Bluefish Redigeringsprogram
Name[de]=LXDesktop Hintergrund Diaschow
Name[en]=LXDesktop Background Diashow
Name[es]=LXDesktop antecedentes Diaschow
Name[fr]=LXDesktop historique diaschow
Name[it]=LXDesktop Diaschow sfondo
Name[ja]=背景 LXDesktop Diaschow
Name[ko]=LXDesktop 배경 diaschow
Name[nl]=LXDesktop achtergrond Diaschow
Name[pl]=LXDesktop Diaschow tła
Name[pt]=Fundo LXDesktop Diaschow
Name[pt_BR]=LXDesktop Background Diashow
Name[ru]=Задний план LXDesktop Diaschow
Name[uk]=LXDesktop тло Diaschow
Name[zh_CN]=背 景 LXDesktop Diaschow
Comment=Automatically change desktop background picture
Comment[da]=Skifte skrivebordsbaggrund billede automatisk
Comment[de]=Automatisch Desktophintergrund Bild wechseln
Comment[en]=Automatically change desktop background picture
Comment[es]=Automáticamente Desktophintergrund cambiar imagen
Comment[fr]=Desktophintergrund automatiquement une image changer
Comment[it]=Cambiare lo sfondo del desktop immagine automaticamente
Comment[ja]=デスクトップの背景を自動的に画像を変更
Comment[ko]=바탕 화면 배경 사진이 자동으로 변경
Comment[nl]=Verander bureaublad achtergrond beeld automatisch
Comment[pl]=Zmień tło pulpitu zdjęcie automatycznie
Comment[pt]=Alterar plano de fundo da área imagem automaticamente
Comment[pt_BR]=Alterar plano de fundo da área imagem automaticamente
Comment[ru]=Автоматически меняют задний план десктопа картину
Comment[uk]=Редактор для веб-розробки
Comment[zh_CN]=自動更換桌面背景圖片
Exec=/usr/share/lxrotator/rotator_gui
# icon in /usr/share/pixmaps/ folder
Icon=/usr/share/icons/lxrotator.png
Terminal=false
Type=Application
StartupNotify=true
Categories=Settings;X-MandrivaLinux-System-Configuration;
OnlyShowIn=LXDE;
EOF




%post
%{update_menus}
%{update_desktop_database}


%postun
%{clean_menus}
%{clean_desktop_database}

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/icons/*
%{_datadir}/%{name}
%{_datadir}/locale/de/LC_MESSAGES/rotator_gui.mo
%{_datadir}/applications/%{name}.desktop
%doc COPYING README

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{oname}

%changelog
* Wed Dec 16 2015 daniel <meisssw01 at gmail.com> 1.2-2pclos2015
- remove pcmanfm as required
- add ImageMagick as required
- fix bug for lxqt 

* Sat Nov 14 2015 daniel <meisssw01 at gmail.com> 1.2-1pclos2015
- add LXQt support

* Thu Apr 09 2015 daniel <meisssw01 at gmail.com> 1.1-1pclos2015
- edit again the start script
- fit gui
- edit systray check (2)

* Tue Apr 07 2015 daniel <meisssw01 at gmail.com> 1.0-1pclos2015
- pump to final version
- add start script
- add slider for hours
- add delay function for older machines

* Sun Mar 29 2015 daniel <meisssw01 at gmail.com> 0.01-1pclos2015
- initial pkg
